# Method: apps.patch

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/patch#try-it)

Updates the specified Application resource. You can update the following fields:

- `authDomain` - Google authentication domain for controlling user access to the application.
- `defaultCookieExpiration` - Cookie expiration policy for the application.
- `iap` - Identity-Aware Proxy properties for the application.

### HTTP request

`PATCH https://appengine.googleapis.com/v1beta/{name=apps/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the Application resource to update. Example: `apps/myapp`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `appengine.applications.update` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. Standard field mask for the set of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps#Application`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).